### Method

# Ide CompletionContext is_language

#### Declaration

    gboolean
    ide_completion_context_is_language (
      IdeCompletionContext* self,
      const gchar* language
    )

#### Description

Helper to check the language of the underlying buffer.

Available since: | 3.32

#### Parameters

`language` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `language` matches; otherwise `FALSE`.